Subject: Re: Bug: Incorrect stripping of the [PATCH] prefix in git-am

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Dec 2015 18:24:10 -0800

Jeff King <[email-masked]> writes:

> The "[]" convention is a microformat used by Linux kernel folks. So it's
> not "whoops, we are stripping stuff not added by git". It is respecting
> a microformat used by the tool's authors.
>
> That being said, if we were choosing a default from scratch today, it
> might go the other way. But we aren't, and we have to deal with the
> burden of breaking existing scripts by flipping it.

And I do think it no longer is sensible to expect that it still is
kernel-only convention.  Any project that uses e-mail based workflow
with Git have known how "[]" microformat works, may even have taken
advantage of it to build their workflow around it, and flipping the
default will only hurt them.

A project that chooses not to follow the convention can easily tweak
a knob to keep using different conventions, so I do not see anything
to change here.